> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a persona

> Updates the details of the specified persona.



## OpenAPI

````yaml /autogenerated/openapi/cis.openapi.json patch /personas/{personaId}
openapi: 3.1.0
info:
  title: CIS API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /personas/{personaId}:
    patch:
      tags:
        - People
      summary: Update a persona
      description: Updates the details of the specified persona.
      operationId: updatePersona
      parameters:
        - name: personaId
          in: path
          required: true
          schema:
            description: The ID of the persona to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 8e214819-5c83-429f-a976-eb127a0a8a88
        - name: accountId
          in: query
          schema:
            type:
              - string
            description: The ID of the account to work with.
            example: F50091
          required: true
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                emailAddress:
                  type:
                    - string
                    - 'null'
                  maxLength: 256
                  example: Clint_Moore@gmail.com
                employeeNumber:
                  type:
                    - string
                    - 'null'
                  maxLength: 256
                  example: '948947464'
                workNumber:
                  type:
                    - string
                    - 'null'
                  maxLength: 50
                  example: (807) 940-7411 x8855
                jobTitle:
                  type:
                    - string
                    - 'null'
                  maxLength: 256
                  example: Human Division Manager
                status:
                  type:
                    - string
                  enum:
                    - active
                    - deactivated
                  example: active
                transactionalEmailPreference:
                  type:
                    - boolean
                    - 'null'
                  description: >-
                    Indicates whether this persona has opted to receive the
                    emails or not.
                marketingEmailsPreference:
                  type:
                    - boolean
                    - 'null'
                  description: >-
                    Indicates whether this persona has opted to receive the
                    marketing emails or not.
                securityNotificationsPreference:
                  type:
                    - boolean
                    - 'null'
                  description: >-
                    Indicates whether this persona has opted to receive the
                    security notifications or not.
                cardTransactionPushNotificationPreference:
                  type:
                    - boolean
                  description: >-
                    User preference for receiving push notifications for each
                    individual card transaction.
              example:
                emailAddress: Clint_Moore@gmail.com
                employeeNumber: '948947464'
                workNumber: (807) 940-7411 x8855
                jobTitle: Human Division Manager
                status: active
                transactionalEmailPreference: true
                marketingEmailsPreference: true
                securityNotificationsPreference: true
                cardTransactionPushNotificationPreference: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  id:
                    type:
                      - string
                    format: uuid
                  accountId:
                    type:
                      - string
                    description: The ID of the account to work with.
                    example: F50091
                  emailAddress:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    example: Clint_Moore@gmail.com
                  employeeNumber:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    example: '948947464'
                  workNumber:
                    type:
                      - string
                      - 'null'
                    maxLength: 50
                    example: (807) 940-7411 x8855
                  jobTitle:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    example: Human Division Manager
                  status:
                    type:
                      - string
                      - 'null'
                    enum:
                      - active
                      - deactivated
                      - created
                      - invited
                      - inviteExpired
                    example: active
                  addresses:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          format: uuid
                          description: The ID of the address.
                        type:
                          type:
                            - string
                          description: The address type.
                          example: office
                        nickName:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The nickname of the address.
                          example: office
                        addressLine1:
                          type:
                            - string
                          minLength: 1
                          maxLength: 256
                          description: The first line of the address.
                          example: Great Building
                        addressLine2:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The second line of the address.
                          example: Four Maple Street
                        addressLine3:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The third line of the address.
                          example: Southwark
                        addressContact:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The name of the contact associated with the address.
                          example: Brian May
                        city:
                          type:
                            - string
                          maxLength: 256
                          description: The city of the address.
                        postcode:
                          type:
                            - string
                          maxLength: 50
                          description: The postal or ZIP code of the address.
                          example: SE13UB
                        country:
                          type:
                            - string
                          maxLength: 256
                          description: The country of the address.
                          example: England
                        countryCode:
                          type:
                            - string
                            - 'null'
                          maxLength: 2
                          description: ISO 3166-1 2 digit country code.
                          example: GB
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - id
                        - type
                        - addressLine1
                        - city
                        - postcode
                        - country
                  createdBy:
                    type:
                      - object
                      - 'null'
                    properties: {}
                    additionalProperties: true
                  createdByPersonaId:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    maxLength: 36
                    description: The ID of the persona to work with.
                    example: 8e214819-5c83-429f-a976-eb127a0a8a88
                  primaryOwnerOf:
                    type:
                      - object
                      - 'null'
                    properties: {}
                    additionalProperties: true
                  teams:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          format: uuid
                        accountId:
                          type:
                            - string
                          description: The ID of the account to work with.
                          example: F50091
                        name:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          example: dolly@parton.com
                        description:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          example: XYZ123
                        enabled:
                          type:
                            - boolean
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - id
                        - name
                        - description
                        - enabled
                        - createdAt
                        - updatedAt
                  transactionalEmailPreference:
                    type:
                      - boolean
                      - 'null'
                    description: >-
                      Indicates whether this persona has opted to receive the
                      emails or not.
                  cardTransactionPushNotificationPreference:
                    type:
                      - boolean
                    description: >-
                      User preference for receiving push notifications for each
                      individual card transaction.
                  inviteSentDate:
                    type:
                      - string
                      - 'null'
                    format: date-time
                    description: >-
                      The date the signup was created or updated. ISO 8601
                      format. Invites are valid for 14 days.
                    example: '2018-12-01T14:54:30.000Z'
                  marketingEmails:
                    type:
                      - boolean
                  securityNotifications:
                    type:
                      - boolean
                  createdAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was initially created. ISO 8601
                      format without milliseconds.
                  updatedAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was last modified. ISO 8601 format
                      without milliseconds.
                required:
                  - id
                  - accountId
                  - emailAddress
                  - employeeNumber
                  - workNumber
                  - jobTitle
                  - status
                  - createdByPersonaId
                  - marketingEmails
                  - securityNotifications
                example:
                  id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                  accountId: F50091
                  emailAddress: Clint_Moore@gmail.com
                  employeeNumber: '948947464'
                  workNumber: (807) 940-7411 x8855
                  jobTitle: Human Division Manager
                  status: active
                  addresses:
                    - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                      type: office
                      nickName: office
                      addressLine1: Great Building
                      addressLine2: Four Maple Street
                      addressLine3: Southwark
                      addressContact: Brian May
                      city: string
                      postcode: SE13UB
                      country: England
                      countryCode: GB
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
                  createdBy: {}
                  createdByPersonaId: 8e214819-5c83-429f-a976-eb127a0a8a88
                  primaryOwnerOf: {}
                  teams:
                    - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                      accountId: F50091
                      name: dolly@parton.com
                      description: XYZ123
                      enabled: true
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
                  transactionalEmailPreference: true
                  cardTransactionPushNotificationPreference: true
                  inviteSentDate: '2018-12-01T14:54:30.000Z'
                  marketingEmails: true
                  securityNotifications: true
                  createdAt: '2019-08-24T14:15:22Z'
                  updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - people:update:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request PATCH \
              --url 'https://api.equalsmoney.com/v2/personas/{personaId}?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "emailAddress": "Clint_Moore@gmail.com",
              "employeeNumber": "948947464",
              "workNumber": "(807) 940-7411 x8855",
              "jobTitle": "Human Division Manager",
              "status": "active",
              "transactionalEmailPreference": true,
              "marketingEmailsPreference": true,
              "securityNotificationsPreference": true,
              "cardTransactionPushNotificationPreference": true
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````